// pages/index.js
import Head from "next/head";
import React, { useState } from "react";
import { Box, Container, Text } from "@chakra-ui/react";
import { getCuratedPhotos } from "../lib/api";

export async function getServerSideProps() {
  const data = await getCuratedPhotos();
  return {
    props: {
      data,
    },
  };
}

export default function Home({ data }) {
  console.log(data);
  const [photos, setPhotos] = useState(data);
  return (
    <div>
      <Head>
        <title>Philippe Bureau - Gallerie</title>
        <link rel="icon" href="/favicon.ico" />
        <Box overflow="hidden" bg="gray.100" minH="100vh">
          <Container>
            <Text
              color="gray.700"
              fontWeight="semibold"
              mb="1rem"
              textAlign="center"
              textDecoration="underline"
              fontSize={["5xl", "5xl", "6xl", "6xl"]}
            >
              Gallerie
            </Text>
          </Container>
          {photos.map((pic) => (
            <img src={pic.src.original} width="500" height="500" />
          ))}
        </Box>
      </Head>
    </div>
  );
}
